#!/bin/sh

if [ ! -e $1 ]; then
        echo "$1: No such file or directory."
        exit 0
fi

if [ -d $1 ]; then
        echo "$1 is directory."
elif [ -f $1 ]; then
        echo "$1 is regular file."
elif [ -c $1 ]; then
        echo "$1 is character device file."
elif [ -b $1 ]; then
        echo "$1 is block device file."
else
        echo "$1 is unknown type file."
fi
